Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81544 - Mounting smbfs with 32bit UID causes UID wraparound
Summary: Mounting smbfs with 32bit UID causes UID wraparound
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: samba
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On: 73066
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-10 09:00 UTC by Panu Matilainen
Modified: 2014-08-31 23:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-02 10:23:42 UTC


Attachments (Terms of Use)

Description Panu Matilainen 2003-01-10 09:00:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20021216

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.smbmount //some/share /mnt/ -o uid=100000
2. ls -ld /mnt
    

Actual Results:  Actual Results:  The UID wraps around at 65535(and so does GID)
so the mount point gets owned by wrong UID.

Expected Results:  UID shouldn't wrap around of course..

Additional info:

The fix requires a patch to the kernel and also smbmnt:
http://www.hojdpunkten.ac.se/054/samba/smbmount-2.2.5-misc-2.patch.gz
Oh and this is present in all RH versions up to date, not just phoebe.

Comment 1 Jay Fenlason 2003-01-10 23:17:32 UTC
I'm reassigning this to the kernel maintainer.  Once the kernel uses a proper 
__kernel_uid_t, we'll see if samba 2.2.7a needs patching.

Comment 2 Panu Matilainen 2003-01-12 10:48:00 UTC
Oh by the point here was that you can't really change the __kernel_uid_t in 
middle of stable kernel series - see 
http://www.uwsg.iu.edu/hypermail/linux/kernel/0209.0/0678.html. With this patch 
in samba you don't need to break kernel binary compatibility.

Comment 3 Panu Matilainen 2006-08-02 10:23:42 UTC
This ancient bug got eventually fixed in RHEL, closing...


Note You need to log in before you can comment on or make changes to this bug.